Tiny Core Extensions > TCE Q&A Forum

Samsung Unified Linux driver + CLX-3185 + TC CUPS-strategy

<< < (2/10) > >>

beerstein:
HI: Hope this fits in here-
I am trying for month to hook up a Samsung SCX-4521F MF to my TC 3.8.4
I used a "SCX4521.ppd"  from the openprinting.org website to install the printer. It never worked. The best result was a completed
print job generating an empty page - error message in the log file.

Question: Is the .ppd file enough to install a printer or do I also need an additional driver?

During the cups configuration procedure (localhost:631) the software asks to select a printer from a menu or down under the menu you may select a space where the apropriate .ppd file is located.
I discovered that the printer manufacturers listed in the menu are generated by: gutenprint.tcz and/or hplip2.x.tcz. If you do not install gutenprint or hplip there are only one or two printer brands to select from.

Juanito:
Maybe this is what you're looking for?

http://splix.ap2c.org/

Yleisajattelija:
.ppd driver is not enough, CUPS daemon must started (see TC FAQ, for help) and lot of other things, too. Big problem is library locations, because TC CUPS installation point is "/usr/local" instead of "/usr" for many distroes. For that reason, Samsung Unified Driver installer loads libraries and raster files to wrong directory.

I try to document Samsung unified driver installation when sane part is done, unfortunately THAT will take some time.

Juanito:

--- Quote from: Yleisajattelija on February 29, 2012, 11:49:59 AM ---Big problem is library locations, because TC CUPS installation point is "/usr/local" instead of "/usr" for many distroes. For that reason, Samsung Unified Driver installer loads libraries and raster files to wrong directory.

--- End quote ---

Most installers are smart enough to figure that out, but if not, I suspect simply moving the relevent files under /usr/local will work

beerstein:
HI: I have a Samsung MF 4521F and I am still trying to hook it to my TCL 3.8.4 system.
I have the .ppd for this machine and the newest cups 1.44 running. With ghostscript, ghostcript_common and foomatic-rip on boot the install procedure in localhost:631 works OK.
But I am getting filter errors such as"job stopped due to filter errors"
There is only one foomatic-rip (binary) at the TCL 3.X repo which does not need Perl any more. It is not very new and I think it might work only with the cups 1311

 The CD which came with the MultiFunction has two Linux drivers. The Unified and another one. There is also an install script.
The scripts start but crash with error messages.
This Samsung MF supports only the Samsung Page Description Language SPL. No other printer languages supported. This is no good. Next time I am going to buy a printer or MF I will take a closer look at the specs or move to HP, Canon or Epson.

I looked at splix and will try to install it. But into which location (folder) do I need to install this drivers?

Navigation

[0] Message Index

[#] Next page

[*] Previous page

Go to full version